Bug 829483 - [de_DE] failed pofilter unchanged options test for suubscription manager translations
[de_DE] failed pofilter unchanged options test for suubscription manager tran...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 5.9
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n, Translation
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-06-06 17:13 EDT by Sharath Dwaral
Modified: 2015-03-22 21:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 15:20:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-06-06 17:13:04 EDT
Description of problem:
Some of gnome English words remanin ubtranslated for 'de_DE' language.  Sample output is shown below, 

Version-Release number of selected component (if applicable):
[root@fsharath-rhel63server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:

[root@fsharath-rhel63server ~]# msgunfmt --no-wrap /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo -o /usr/share/locale/de_DE/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t unchanged /usr/share/locale/de_DE/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-12 07:56-0400\n"
"Last-Translator: hedda <hedda@fedoraproject.org>\n"
"Language-Team: de_DE <kde-i18n-doc@kde.org>\n"
"Language: de-DE\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) unchanged: Consider translating
msgid "Arch:                 \t%-25s"
msgstr "Arch:                 \t%-25s"

# (pofilter) unchanged: Consider translating
msgid "Login:"
msgstr "Login:"

# (pofilter) unchanged: Consider translating
msgid "Name"
msgstr "Name"

# (pofilter) unchanged: Consider translating
msgid "Name:                 \t%-25s"
msgstr "Name:                 \t%-25s"

# (pofilter) unchanged: Consider translating
msgid "Release: %s"
msgstr "Release: %s"

# (pofilter) unchanged: Consider translating
msgid "Status"
msgstr "Status"

# (pofilter) unchanged: Consider translating
msgid "Status:               \t%-25s"
msgstr "Status:               \t%-25s"

# (pofilter) unchanged: Consider translating
msgid "Version"
msgstr "Version"

# (pofilter) unchanged: Consider translating
msgid "Version:              \t%-25s"
msgstr "Version:              \t%-25s"

# (pofilter) unchanged: Consider translating
msgid "complex"
msgstr "Complex"

# (pofilter) unchanged: Consider translating
msgid "label"
msgstr "Label"

# (pofilter) unchanged: Consider translating
msgid "name: %s"
msgstr "Name: %s"

Actual results:
Shown above

Expected results:

> english words not translated to it's respective native language.

Additional info:

http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#unchanged
Comment 2 Bryan Kearney 2012-06-25 16:01:51 EDT
Will remove the offending strings to force a re-translation. Note, widget names will not be touched.
Comment 3 Hedda Peters 2012-06-25 19:49:32 EDT
For Subscription_Manager 1.0.X I have changed: 
 
msgstr "Complex"
to
msgstr "Komplex"

All other reported strings are verified and can remain as they are. 

(Some strings might appear untranslated, but often the de-DE word is actually the same as the en-US word, or the use of the en-US word is widely accepted)
Comment 4 Bryan Kearney 2012-06-26 20:26:34 EDT
fixed in master at 289c98c78dcc7d134162a22eb99cd77ed60b5fad
Comment 5 RHEL Product and Program Management 2012-06-28 11:19:14 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 7 Sharath Dwaral 2012-07-16 15:50:57 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.0.9-1.git.22.35b5155.el5
python-rhsm-1.0.3-1.git.2.47dc8f4.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
subscription-manager-migration-1.0.9-1.git.22.35b5155.el5
subscription-manager-gui-1.0.9-1.git.22.35b5155.el5
subscription-manager-firstboot-1.0.9-1.git.22.35b5155.el5

Steps:
# msgunfmt --no-wrap /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo -o /usr/share/locale/de_DE/LC_MESSAGES/rhsm.po
[root@fsharath-rhel59server sub-man]# pofilter --gnome -t unchanged /usr/share/locale/de_DE/LC_MESSAGES/rhsm.poprocessing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-07-09 15:06-0400\n"
"PO-Revision-Date: 2012-06-28 02:18-0400\n"
"Last-Translator: hedda <hedda@fedoraproject.org>\n"
"Language-Team: de_DE <kde-i18n-doc@kde.org>\n"
"Language: de-DE\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"
"X-Generator: Zanata 1.6.1\n"

# (pofilter) unchanged: Consider translating
msgid "<b>Account:</b>"
msgstr "<b>Account:</b>"

# (pofilter) unchanged: Consider translating
msgid "Account:              \t%s"
msgstr "Account:              \t%s"

# (pofilter) unchanged: Consider translating
msgid "Release: %s"
msgstr "Release: %s"

# (pofilter) unchanged: Consider translating
msgid "label"
msgstr "Label"

.............Ignoring Other Results.............

Expected Result
Account, Release, Label to be translated to native language

Additional Information
http://translate.google.com/#en|de|Account%0A  -> Account
http://translate.google.com/#en|de|Release%0A  -> Release
http://translate.google.com/#en|de|Label       -> Label

FailedQA moving bug to NEW
Comment 8 Hedda Peters 2012-07-16 18:15:28 EDT
Thanks for your German translation suggestions, Sharath Dwaral.

A couple of your suggested terms are not only wrong, but it would be rather comical to translate them like that. Google translate is not a reliable source to verify a translation.

As I said, some strings might appear untranslated, but often the de-DE word is actually the same as the en-US word, or the use of the en-US word is widely accepted. Please rest assured that these translations are fine - I am German native speaker and RH translator.
Comment 9 Bryan Kearney 2012-07-19 15:20:13 EDT
Closing per comment 8

Note You need to log in before you can comment on or make changes to this bug.